# Kibana is served by a back end server. This setting specifies the port to use.
server.port: 5611

# Specifies the address to which the Kibana server will bind. IP addresses and host names are both valid values.
# The default is 'localhost', which usually means remote machines will not be able to connect.
# To allow connections from remote users, set this parameter to a non-loopback address.
#server.host: "localhost"
#server.host: "0.0.0.0"

# Enables you to specify a path to mount Kibana at if you are running behind a proxy.
# Use the `server.rewriteBasePath` setting to tell Kibana if it should remove the basePath
# from requests it receives, and to prevent a deprecation warning at startup.
# This setting cannot end in a slash.
server.basePath: "/dashboards711"

# Specifies whether Kibana should rewrite requests that are prefixed with
# `server.basePath` or require that they are rewritten by your reverse proxy.
# This setting was effectively always `false` before Kibana 6.3 and will
# default to `true` starting in Kibana 7.0.
server.rewriteBasePath: true

elasticsearch.username: "elastic"
elasticsearch.password: "fripouille"

	
xpack.security.authc:
  providers:
    basic.basic1:
      order: 0
      description: "Sign in"
    anonymous.anonymous1:
      order: 1
      description: "Continue as guest"
      icon: "globe"
      credentials:
        username: "anonymous"
        password: "anonymous"

map.regionmap:
  layers:
    - name: "t_adreg_GE"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_GE.geojson"
      fields:
        - name: "adrgcode"
          description: "Code"
    - name: "t_adreg_GF"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_GF.geojson"
      fields:
        - name: "adrgcode"
          description: "Code"
    - name: "adreg_hybasin_EC"
      attribution: ""
      url: "https://www.aquacoope.org/data/adreg_hybasin_EC.geojson"
      fields:
        - name: "code"
          description: "Code"  
    - name: "adreg_hybasin_SN"
      attribution: ""
      url: "https://www.aquacoope.org/data/adreg_hybasin_SN.geojson"
      fields:
        - name: "code"
          description: "Code"          
    - name: "adreg_LA_R3"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_LA_R3.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"
    - name: "hybasin_MD_21"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hybasin_MD_B21.geojson"
      fields: 
        - name: "hybcode"
          description: "Code"
    - name: "adreg_MG_R2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_MG_R2.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"
    - name: "adreg_MG_R1"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_MG_R1.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"
    - name: "adreg_MG_R3"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_MG_R3_Itasy.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"          
    - name: "hyelake_UA_B21"
      attribution: ""
      url: "https://www.aquacoope.org/data/UA_t_hyelake_B21.geojson"
      fields: 
        - name: "hyelcode"
          description: "Code"  
    - name: "hyeriver_UA_B21"
      attribution: ""
      url: "https://www.aquacoope.org/data/UA_t_hyeriver_B21.geojson"
      fields: 
        - name: "hyercode"
          description: "Code"  
    - name: "adreg_hybasin_riob_africa"
      attribution: ""
      url: "https://www.aquacoope.org/data/adreg_hybasin_riob_africa.geojson"
      fields: 
        - name: "code"
          description: "Code" 
    - name: "hyeriver_AM_SWB2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyeriver_AM.geojson"
      fields: 
        - name: "hyercode"
          description: "Code"  
    - name: "hyelake_AM_SWB3"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyelake_AM.geojson"
      fields: 
        - name: "hyelcode"
          description: "Code"
    - name: "hyeriver_AZ_SWB2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyeriver_AZ.geojson"
      fields: 
        - name: "hyercode"
          description: "Code"
    - name: "hyeriver_BY_SWB2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyeriver_BY.geojson"
      fields: 
        - name: "hyercode"
          description: "Code"  
    - name: "hyelake_BY_SWB3"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyelake_BY.geojson"
      fields: 
        - name: "hyelcode"
          description: "Code"
    - name: "hyeriver_GE_SWB2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hyeriver_SWB2_ge.geojson"
      fields: 
        - name: "hyercode"
          description: "Code"
    - name: "hybasin_KG_B15"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hybasin_KG_B15.geojson"
      fields: 
        - name: "hybcode"
          description: "Code"
    - name: "hybasin_KG_B16"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hybasin_KG_B16.geojson"
      fields: 
        - name: "hybcode"
          description: "Code"
    - name: "adreg_KG_R3"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_KG_R3.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"   
    - name: "adreg_AM_R1"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_AM_R1.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"  
    - name: "adreg_CU_R1"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_CU_R1.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"
    - name: "adreg_CU_R2"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_adreg_CU_R2.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"
    - name: "municipios_corpoboyaca"
      attribution: ""
      url: "https://www.aquacoope.org/data/municipios_car_corpoboyaca.geojson"
      fields: 
        - name: "NOMBRE_ENT"
          description: "Code"    
    - name: "adreg_hybasin_CO"
      attribution: ""
      url: "https://www.aquacoope.org/data/adreg_hybasin_CO.geojson"
      fields: 
        - name: "code"
          description: "Code"
    - name: "odma_countries"
      attribution: ""
      url: "https://www.aquacoope.org/data/odma_countries.geojson"
      fields: 
        - name: "adrgcodex"
          description: "Code"          
    - name: "hybasin_omvg"
      attribution: ""
      url: "https://www.aquacoope.org/data/t_hybasin_omvg.geojson"
      fields: 
        - name: "code"
          description: "Code"         
    - name: "adreg_BR_R3_pcj_agevap"
      attribution: ""
      url: "https://www.aquacoope.org/data/BR_t_adreg_pcj_agevap.geojson"
      fields: 
        - name: "adrgcode"
          description: "Code"           

# The maximum payload size in bytes for incoming server requests.
#server.maxPayloadBytes: 1048576

# The Kibana server's name.  This is used for display purposes.
#server.name: "your-hostname"

# The URLs of the Elasticsearch instances to use for all your queries.
elasticsearch.hosts: ["http://127.0.0.1:9211"]

# When this setting's value is true Kibana uses the hostname specified in the server.host
# setting. When the value of this setting is false, Kibana uses the hostname of the host
# that connects to this Kibana instance.
#elasticsearch.preserveHost: true

# Kibana uses an index in Elasticsearch to store saved searches, visualizations and
# dashboards. Kibana creates a new index if the index doesn't already exist.
kibana.index: ".kibana"

# The default application to load.
#kibana.defaultAppId: "home"

# If your Elasticsearch is protected with basic authentication, these settings provide
# the username and password that the Kibana server uses to perform maintenance on the Kibana
# index at startup. Your Kibana users still need to authenticate with Elasticsearch, which
# is proxied through the Kibana server.
#elasticsearch.username: "kibana"
#elasticsearch.password: "pass"

# Enables SSL and paths to the PEM-format SSL certificate and SSL key files, respectively.
# These settings enable SSL for outgoing requests from the Kibana server to the browser.
#server.ssl.enabled: false
#server.ssl.certificate: /path/to/your/server.crt
#server.ssl.key: /path/to/your/server.key

# Optional settings that provide the paths to the PEM-format SSL certificate and key files.
# These files validate that your Elasticsearch backend uses the same key files.
#elasticsearch.ssl.certificate: /path/to/your/client.crt
#elasticsearch.ssl.key: /path/to/your/client.key

# Optional setting that enables you to specify a path to the PEM file for the certificate
# authority for your Elasticsearch instance.
#elasticsearch.ssl.certificateAuthorities: [ "/path/to/your/CA.pem" ]

# To disregard the validity of SSL certificates, change this setting's value to 'none'.
#elasticsearch.ssl.verificationMode: full

# Time in milliseconds to wait for Elasticsearch to respond to pings. Defaults to the value of
# the elasticsearch.requestTimeout setting.
#elasticsearch.pingTimeout: 1500

# Time in milliseconds to wait for responses from the back end or Elasticsearch. This value
# must be a positive integer.
#elasticsearch.requestTimeout: 30000

# List of Kibana client-side headers to send to Elasticsearch. To send *no* client-side
# headers, set this value to [] (an empty list).
#elasticsearch.requestHeadersWhitelist: [ authorization ]

# Header names and values that are sent to Elasticsearch. Any custom headers cannot be overwritten
# by client-side headers, regardless of the elasticsearch.requestHeadersWhitelist configuration.
#elasticsearch.customHeaders: {}

# Time in milliseconds for Elasticsearch to wait for responses from shards. Set to 0 to disable.
#elasticsearch.shardTimeout: 30000

# Time in milliseconds to wait for Elasticsearch at Kibana startup before retrying.
#elasticsearch.startupTimeout: 5000

# Logs queries sent to Elasticsearch. Requires logging.verbose set to true.
#elasticsearch.logQueries: false

# Specifies the path where Kibana creates the process ID file.
#pid.file: /var/run/kibana.pid

# Enables you specify a file where Kibana stores log output.
#logging.dest: stdout
#logging.dest:C:/Apps/kibana/kibana-7.11.1-windows-x86_64/kibana.log

# Set the value of this setting to true to suppress all logging output.
#logging.silent: false

# Set the value of this setting to true to suppress all logging output other than error messages.
#logging.quiet: false

# Set the value of this setting to true to log all events, including system usage information
# and all requests.
#logging.verbose: false

# Set the interval in milliseconds to sample system and process performance
# metrics. Minimum is 100ms. Defaults to 5000.
#ops.interval: 5000

# Specifies locale to be used for all localizable strings, dates and number formats.
# Supported languages are the following: English - en , by default , Chinese - zh-CN . 
#i18n.locale: "en"
kibana.autocompleteTerminateAfter: 6000000